Bug 225097 - openoffice postgresql sdbc driver binaries don't work
Summary: openoffice postgresql sdbc driver binaries don't work
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 22:37 UTC by Bryan Cole
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.0.4-5.5.17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 07:50:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 77188 None None None Never

Description Bryan Cole 2007-01-28 22:37:48 UTC
Description of problem:

The postgresql sdbc driver binaries (available from
http://dba.openoffice.org/drivers/postgresql/ ) don't work in the 
FC6 version of OOo. 

The UNO package appears to install OK (no errors reported) but the postgresql
driver never appears in the options box for creating a new database. However,
the postgresql driver works fine with the OOo version (2.0.4 or 2.1) from
the openoffice.org download site.

Version-Release number of selected component (if applicable):

up to 2.0.4

How reproducible:

always

Steps to Reproduce:
1. install FC6 version of OOo
2. download postgresql-sdbc UNO package and install using the Package Manager in OOo
3. Attempt to connect to a postgresql database with the new driver
  
Actual results:

There is no option to use the new driver so you can't...

Expected results:

Well, with the vanilla OOo version from the OOo download site, it all works
great. And the SDBC postgresql driver is substantially better than
either ODBC or JDBC (both of which are buggy to the point of being un-useable).

Additional info:

Comment 1 Caolan McNamara 2007-01-29 10:11:01 UTC
What happens if you shut down OOo, and in a shell, e.g. gnome-terminal

> export LD_LIBRARY_PATH=/usr/lib/openoffice.org2.0/program
> oobase

does the new driver appear in the drop down list of drivers then ?

Comment 2 Caolan McNamara 2007-01-29 12:09:49 UTC
Assuming that the above will fix this, then I can extend this generally for the
fedora OOo

Comment 3 Bryan Cole 2007-01-30 21:40:37 UTC
(In reply to comment #1)
> What happens if you shut down OOo, and in a shell, e.g. gnome-terminal
> 
> > export LD_LIBRARY_PATH=/usr/lib/openoffice.org2.0/program
> > oobase
> 
> does the new driver appear in the drop down list of drivers then ?

Yup, this works. Thanks for this tip!

Comment 4 Caolan McNamara 2007-03-28 07:50:09 UTC
now in 2.0.4-5.5.17 in FC-6 updates

Comment 5 Caolan McNamara 2007-05-10 11:13:57 UTC
ah, this *was* the postgresql drivers fault, not my removing of LD_LIBRARY_PATH


Note You need to log in before you can comment on or make changes to this bug.